Bug 510944 - rxvt-unicode single line scrolling patch
rxvt-unicode single line scrolling patch
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rxvt-unicode (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-12 13:37 EDT by ra
Modified: 2013-02-08 16:12 EST (History)
3 users (show)

See Also:
Fixed In Version: rxvt-unicode-9.09-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-17 15:27:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rxvt-unicode-9.06 single line scrolling patch (432 bytes, patch)
2009-07-12 13:38 EDT, ra
no flags Details | Diff

  None (edit)
Description ra 2009-07-12 13:37:01 EDT
Description of problem:
it is not possible to scroll one line in urxvt (shift+up|down).

Version-Release number of selected component (if applicable):
rxvt-unicode-9.06-3.fc11.i586 (possibly all)

  
Additional info:
Since I am using fedora only for a few days (and this is my first bug report here) I am not sure how to handle enhancements like this.

Attached is a patch which enables one line scrolling. I guess a patch to the .spec file and resulting rpm is not needed.
Comment 1 ra 2009-07-12 13:38:11 EDT
Created attachment 351398 [details]
rxvt-unicode-9.06 single line scrolling patch
Comment 2 ra 2009-08-28 10:03:08 EDT
Andreas (or whoever maintains this package), could you be so kind and comment on this bug? tia
Comment 3 Andreas Bierfert 2009-08-30 17:47:58 EDT
Sorry for not replying. Did you report this bug upstream with the urxvt folks? Ideally feature enhancements like this which are not package bugs should be submitted to the upstream projects. If you want I can see to it.
Comment 4 ra 2009-09-01 06:10:43 EDT
I just asked on irc but didnt get a reply.. ):
Comment 5 Bug Zapper 2010-04-27 11:38:14 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 ra 2010-04-27 15:19:02 EDT
the issue still exists for f12
Comment 7 Bug Zapper 2010-11-04 06:48:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora Update System 2010-11-14 10:29:23 EST
rxvt-unicode-9.09-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.09-1.fc14
Comment 9 Fedora Update System 2010-11-14 10:39:37 EST
rxvt-unicode-9.09-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rxvt-unicode-9.09-1.fc13
Comment 10 ra 2010-11-14 11:32:04 EST
rxvt-unicode-9.09-1.fc13 works for me. ty!
Comment 11 Andreas Bierfert 2010-11-18 04:22:17 EST
Actually enabling this breaks the tabbing extension as it uses  shift/down for tab creation.

Switching mod key to CTRL for -3
Comment 12 Fedora Update System 2010-11-18 19:09:31 EST
rxvt-unicode-9.09-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rxvt-unicode'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rxvt-unicode-9.09-3.fc14
Comment 13 Fedora Update System 2010-12-17 15:26:53 EST
rxvt-unicode-9.09-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-12-17 15:30:45 EST
rxvt-unicode-9.09-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.